package com.neusoft.smart.pos.org.persistent.mapper;

import com.neusoft.smart.pos.org.persistent.domain.UserShopExample;
import com.neusoft.smart.pos.org.persistent.domain.UserShopKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserShopMapper {
    int countByExample(UserShopExample example);

    int deleteByExample(UserShopExample example);

    int deleteByPrimaryKey(UserShopKey key);

    int insert(UserShopKey record);

    int insertSelective(UserShopKey record);

    List<UserShopKey> selectByExample(UserShopExample example);

    int updateByExampleSelective(@Param("record") UserShopKey record, @Param("example") UserShopExample example);

    int updateByExample(@Param("record") UserShopKey record, @Param("example") UserShopExample example);
}